---
title: Troubleshooting MDN problems
slug: MDN/Troubleshooting
tags:
  - Documentation
  - MDN
  - MDN Meta
  - Writing Documentation
  - troubleshooting
---
<div>{{MDNSidebar}}</div><p><span class="seoSummary">This article describes common issues that may occur while using MDN, and ways to remedy them.</span></p>

<h2 id="My_old_login_doesn't_work">My old login doesn't work</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You had a login on MDN years ago, but now the only way to log in is with GitHub, so you can't log in. Or, you created a profile using GitHub, but it's not connected to your old account.</dd>
 <dt>Cause</dt>
 <dd>Support for <a href="/en-US/docs/Archive/MDN/Persona_sign-ins">other login methods</a> besides GitHub authentication was removed from MDN as of November 1, 2016. If you didn't link your MDN profile to your GitHub account by that date, you won't be able to log into .</dd>
 <dt>Remedy</dt>
 <dd>File an<strong> <a class="external-icon external" href="https://mzl.la/accounthelp">"Account Help" bug</a> </strong>on Bugzilla. Provide info (but not passwords!) about your old account, and your new profile if you have one. An MDN engineer will respond to help you.</dd>
</dl>

<h2 id="Unable_to_save_a_page">Unable to save a page</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You try to save some change that you have made, and you get an error message indicating that your change couldn't be saved.</dd>
 <dt>Cause</dt>
 <dd>Your change has been caught in MDN's spam trap. As we all know, they make mistakes sometimes.</dd>
 <dt>Remedy</dt>
 <dd>Save a copy of your revision and send an email to the <a href="mailto://mdn-admins@mozilla.org">MDN site administrators</a>, as instructed in the error message. One of the admins will verify that it is, in fact, a legitimate change, then train the spam filter not to block edits like yours, and add you to a whitelist so that you don't encounter this problem in the future.</dd>
</dl>

<h2 id="Your_published_changes_do_not_appear_on_the_page">Your published changes do not appear on the page</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You make some changes to an article and click <strong>Publish</strong>; the changes that you just made are not reflected in the normal view of the page.</dd>
 <dt>Cause</dt>
 <dd>The page content is cached on the server, and has not been refreshed since the page was changed.</dd>
 <dt>Remedy</dt>
 <dd>Force a refresh of the page in your browser (for example, Shift+Reload). You might see the updated content, or you might see a message indicating that an update to the page is being processed. In the second case, wait a few minutes and do a regular refresh to see if the page has been updated.</dd>
</dl>

<h2 id="Macro-generated_content_is_out_of_date">Macro-generated content is out of date</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You see a page that contains content generated by a macro. You know that this macro has been updated and put into production, but the page is showing outdated values.</dd>
 <dt>Cause</dt>
 <dd>The macro output is cached, and has not been refreshed since the macro was updated. At this time, changes made to macros' code do not automatically cause pages that use the macros to be updated.</dd>
 <dt>Remedy</dt>
 <dd>Force a refresh of the page in your browser (for example, Shift+Reload). You might see the updated output, or you might see a message indicating that an update to the page is being processed. In the second case, wait a few minutes and do a regular refresh to see if the page has been updated.</dd>
</dl>

<h2 id="Scripting_error_on_a_page">Scripting error on a page</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You see a scary red box like this on a page:<br>
 <img alt="There was a scripting error on this page. While it is being addressed by site editors, you can view partial content below. More information about this error" src="https://mdn.mozillademos.org/files/15259/macro_error_box.png" style="height: 114px; width: 590px;"></dd>
 <dt>Cause</dt>
 <dd>This is caused by a KumaScript error in a macro on the page. This issue is less common in production now that macros are stored on GitHub and go through a review and testing process before being put into production. You might see it if you modify a macro call or its arguments in a way that breaks the macros. You might also see it  if you are editing macros on a local build of the MDN platform.</dd>
 <dt>Remedy</dt>
 <dd>If you modified a macro call, you can check the name and parameters of the macro against the <a href="https://github.com/mdn/kumascript/tree/master/macros">KumaScript GitHub repo</a>. If you are in the midst of modifying the macro in question, <a href="/en-US/docs/MDN/Contribute/Tools/KumaScript/Troubleshooting">Troubleshooting KumaScript errors</a> may be helpful.</dd>
</dl>

<h2 id="Scripting_error_while_previewing_a_page">Scripting error while previewing a page</h2>

<dl>
 <dt>Symptom</dt>
 <dd>You are editing a page, and click the <strong>Preview</strong> button. The preview of the page contains a scripting error message (as shown in the previous section).</dd>
 <dt>Cause</dt>
 <dd>Either there was an existing scripting error in the page you were editing, or you have introduced an error, possibly by changing arguments to a macro.</dd>
 <dt>Remedy</dt>
 <dd>
 <p>Be assured that as long as you have not modified or added any macros or templates in the page, you can safely ignore this error; you can expect it to go away when the edited page is finally saved and viewed normally again (unless the error was already there in the normal view).</p>

 <p>If you are still unsure whether <em>you</em> introduced the error, then you can open a <em>copy</em> of the same page in a new window (so you have the last saved version of the page), enter Edit mode, and immediately click <strong>Preview</strong>. If any errors occur now, you can be confident that you did not cause them, and that they will likely disappear as previously described.</p>

 <p>As for your changes, if these new errors are the same as the old errors from the old window, then close the new window and continue working in the old one. However, if they are different errors, then you indeed might have damaged something in the old window, so just start carefully copying your changes to the new window, and click <strong>Preview</strong> after each copy. If the old errors suddenly appear here too, then your last changes have likely caused them, and you should carefully examine that work. Finally, as a side benefit, if you click <strong>Preview</strong> frequently and always leave that Preview window open, you will have a quick but unsaved copy of most of your changes in case the editor fails or somehow loses your work (as may happen when trying to use Discard).</p>
 </dd>
</dl>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute">Contributing to MDN</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Onboarding">MDN onboarding guide</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Howto">MDN how-to guides</a></li>
</ul>
